# -*- encoding: utf-8 -*-
# stub: azure_graph_rbac 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_graph_rbac".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_graph_rbac" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Active Directory Graph Rbac Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.6".freeze, "lib/1.6/generated".freeze, "lib/1.6/generated/azure_graph_rbac".freeze, "lib/1.6/generated/azure_graph_rbac.rb".freeze, "lib/1.6/generated/azure_graph_rbac/applications.rb".freeze, "lib/1.6/generated/azure_graph_rbac/domains.rb".freeze, "lib/1.6/generated/azure_graph_rbac/graph_rbac_client.rb".freeze, "lib/1.6/generated/azure_graph_rbac/groups.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models".freeze, "lib/1.6/generated/azure_graph_rbac/models/aadobject.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/adgroup.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/application.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/application_add_owner_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/application_create_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/application_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/application_update_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/check_group_membership_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/check_group_membership_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/directory_object.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/directory_object_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/domain.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/domain_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/get_objects_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/get_objects_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/graph_error.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/group_add_member_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/group_create_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/group_get_member_groups_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/group_get_member_groups_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/group_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/key_credential.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/key_credential_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/key_credentials_update_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/password_credential.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/password_credential_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/password_credentials_update_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/password_profile.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/required_resource_access.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/resource_access.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/service_principal.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/service_principal_create_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/service_principal_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/sign_in_name.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_base.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_create_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_get_member_groups_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_get_member_groups_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_list_result.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_type.rb".freeze, "lib/1.6/generated/azure_graph_rbac/models/user_update_parameters.rb".freeze, "lib/1.6/generated/azure_graph_rbac/module_definition.rb".freeze, "lib/1.6/generated/azure_graph_rbac/objects.rb".freeze, "lib/1.6/generated/azure_graph_rbac/service_principals.rb".freeze, "lib/1.6/generated/azure_graph_rbac/users.rb".freeze, "lib/azure_graph_rbac.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/graphrbac_latest_profile_client.rb".freeze, "lib/profiles/latest/graphrbac_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/graphrbac_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Active Directory Graph Rbac services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
